Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdVertexStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumVertices (void)
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
HRESULT | x ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | x ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | y ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | y ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | z ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | z ([in] RtDWORD dwIndex,[in] RtFloat newVal)

## Detailed Description

IRdVertexStream specifies vertex coordinates for triangle indices (IRdTriangleStream).

## Member Function Documentation

RtDWORD IRdVertexStream::GetNumVertices | ( | void |  | ) |

| Get number of vertices Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

| Set number of vertices Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::x | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get X coordinate of i-th vertex Parameters:
  dwIndex | Vertex index
  pVal | retrived value
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::x | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set X coordinate of i-th vertex Parameters:
  dwIndex | Vertex index
  newVal | X value to set
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::y | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get Y coordinate of i-th vertex Parameters:
  dwIndex | Vertex index
  newVal | retrived value
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::y | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set X coordinate of i-th vertex Parameters:
  dwIndex | Vertex index
  newVal | X value to set
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::z | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get Z coordinate of i-th vertex Parameters:
  dwIndex | Vertex index
  pVal | retrived value
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexStream::z | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set X coordinate of i-th vertex Parameters:
  dwIndex | Vertex index
  newVal | X value to set
Returns: standard HRESULT processing can be applied to returned value